//
//  AbstractDocument.h
//  MQEditor
//
//  Created by groumpf on 15/07/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

// Base class for documents
@interface AbstractDocument : NSDocument 
{
	uint8_t *parameters;
}

+ (NSString *)documentType;

- (id)initSize:(int)aSize;


// methods to manage parameters
- (uint8_t*)patch;
- (void)setParameters:(uint8_t*)aPatch;
- (void)setParameter:(int)aParameterNumber Value:(int)aValue;
- (int)getParameter:(int)aParameterNumber;
- (int)parameterChangeType;
- (int)dumpType;
- (void)setNameString:(char*)aBuffer offset:(int)aOffset length:(int)aLength;

@end
