/* ParamPopUpButton */

#import <Cocoa/Cocoa.h>

#import "Description.h"
#import "AbstractDocument.h"

@interface ParamPopUpButton : NSPopUpButton
{
	int min;	// min affiche
	NSArray *values;
	
	// masque pour les champs de bits
	int mask;	
	
	id previousTarget;
}

- (void)popupAction:(id)sender;
- (NSArray*)values;
- (void)setIntValueFromDoc:(int)aValue document:(AbstractDocument*)aDoc;
- (void)setUI:(NSDictionary*)aObject description:(Description*)aDescription;
- (int)max;

@end
